Index: trunk/src/world_entities/weapons/laser_cannon.cc
===================================================================
--- trunk/src/world_entities/weapons/laser_cannon.cc	(revision 10697)
+++ trunk/src/world_entities/weapons/laser_cannon.cc	(revision 10698)
@@ -55,7 +55,7 @@
   this->registerObject(this, LaserCannon::_objectList);
 
-//  this->model = (Model*)ResourceManager::getInstance()->load("models/guns/laser_cannon.obj", OBJ, RP_CAMPAIGN);
+  this->setScaling (5);
 
-  this->loadModel("models/guns/lasercannon.obj", 5.0f);
+  this->loadModel("models/guns/lasercannon.obj", this->getScaling());
 
   this->setStateDuration(WS_SHOOTING, .1);
@@ -75,5 +75,5 @@
   this->setProjectileTypeC("RailProjectile");
   this->prepareProjectiles(100);
-  this->setEmissionPoint(Vector(2.8,0,0) * 5.0);
+  this->setEmissionPoint(Vector(2.8,0,0) * this->getScaling());
 }
 
Index: trunk/src/world_entities/weapons/light_blaster.cc
===================================================================
--- trunk/src/world_entities/weapons/light_blaster.cc	(revision 10697)
+++ trunk/src/world_entities/weapons/light_blaster.cc	(revision 10698)
@@ -90,5 +90,5 @@
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
   this->setProjectileTypeC("LBolt");
-  this->prepareProjectiles(100);
+  this->prepareProjectiles(25);
 
   this->setBarrels(3);
@@ -106,5 +106,4 @@
     this->emissionPoint[i]->setName("EmissionPoint");
     this->emissionPoint[i]->addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
-//     this->shootAnim[i] = new Animation3D* [this->getSegs()];
     for(int j = 0; j < this->getSegs(); j++)
     {
@@ -114,8 +113,4 @@
     }
   }
-/*
-  this->emissionPoint[0]->setRelCoor(Vector(1.19, 0.0, 0.1));
-  this->emissionPoint[1]->setRelCoor(Vector(1.19, -0.07, -0.05));
-  this->emissionPoint[2]->setRelCoor(Vector(1.19, 0.07, -0.05));*/
 
   this->emissionPoint[0]->setRelCoor(Vector(2.2, 0.0, 0.1));
@@ -130,11 +125,4 @@
   animation2->setInfinity(ANIM_INF_CONSTANT);
   animation3->setInfinity(ANIM_INF_CONSTANT);
-
-//   this->setEmissionPoint(3.8, 1.2, 0);
-
-//   for (int i = 0; i < this->getBarrels(); i++){
-//     this->shootAnim[i][0]->addKeyFrame(Vector(), Quaternion(i * 120, Vector(1.0, 0.0, 0.0)), 0.049, ANIM_NULL, ANIM_LINEAR);
-//     this->shootAnim[i][0]->addKeyFrame(Vector(), Quaternion((i+1)*120, Vector(1.0, 0.0, 0.0)), 0.001, ANIM_NULL, ANIM_LINEAR);
-//   }
 
 
Index: trunk/src/world_entities/weapons/medium_blaster.cc
===================================================================
--- trunk/src/world_entities/weapons/medium_blaster.cc	(revision 10697)
+++ trunk/src/world_entities/weapons/medium_blaster.cc	(revision 10698)
@@ -69,5 +69,7 @@
 void MediumBlaster::init()
 {
-  this->loadModel("models/guns/blaster.obj", .33);
+  this->setScaling(.3333);
+
+  this->loadModel("models/guns/blaster.obj", this->getScaling());
 
   this->setStateDuration(WS_SHOOTING, 0.2);   // 5 Schuss pro Sekunde
@@ -82,10 +84,10 @@
 
   this->setActionSound(WA_SHOOT, "sounds/guns/laser.wav");
-  this->setActionSound(WA_ACTIVATE, "sounds/voices/lasers.wav");
+//   this->setActionSound(WA_ACTIVATE, "sounds/voices/lasers.wav");
   this->setActionSound(WA_RELOAD, "sounds/spawn/alien_generator.wav");
 
   this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
-  this->setProjectileTypeC("MBolt");   // FIXME temp project type until the blaste class exist
-  this->prepareProjectiles(100);
+  this->setProjectileTypeC("MBolt");
+  this->prepareProjectiles(10);
 
 
@@ -95,8 +97,13 @@
 
   this->objComp = new PNode**[this->getBarrels()];
+  this->emissionPoint = new PNode*[this->getBarrels()];
   this->shootAnim = new Animation3D**[this->getBarrels()];
   for (int i = 0; i < this->getBarrels(); i++)
   {
     this->objComp[i] = new PNode* [this->getSegs()];
+    this->emissionPoint[i] = new PNode;
+    this->emissionPoint[i]->setParent(this);  //Parenting emissionPoint to Weapon
+    this->emissionPoint[i]->setName("EmissionPoint");
+    this->emissionPoint[i]->addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
     this->shootAnim[i] = new Animation3D* [this->getSegs()];
     for(int j = 0; j < this->getSegs(); j++)
@@ -109,11 +116,11 @@
 
   for (int i = 0; i < this->getBarrels(); i++){
-    this->shootAnim[i][0]->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.04, ANIM_LINEAR, ANIM_NULL);
-    this->shootAnim[i][0]->addKeyFrame(Vector(-0.333, 0.0, 0.0), Quaternion(), 0.15, ANIM_LINEAR, ANIM_NULL);
-    this->shootAnim[i][0]->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.01, ANIM_LINEAR, ANIM_NULL);
-
-    this->shootAnim[i][1]->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.04, ANIM_LINEAR, ANIM_NULL);
-    this->shootAnim[i][1]->addKeyFrame(Vector(.166, 0.0, 0.0), Quaternion(), 0.15, ANIM_LINEAR, ANIM_NULL);
-    this->shootAnim[i][1]->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.01, ANIM_LINEAR, ANIM_NULL);
+    this->shootAnim[i][0]->addKeyFrame(Vector(0.0, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.04, ANIM_LINEAR, ANIM_NULL);
+    this->shootAnim[i][0]->addKeyFrame(Vector(-1.0, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.15, ANIM_LINEAR, ANIM_NULL);
+    this->shootAnim[i][0]->addKeyFrame(Vector(0.0, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.01, ANIM_LINEAR, ANIM_NULL);
+
+    this->shootAnim[i][1]->addKeyFrame(Vector(0.0, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.04, ANIM_LINEAR, ANIM_NULL);
+    this->shootAnim[i][1]->addKeyFrame(Vector(.5, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.15, ANIM_LINEAR, ANIM_NULL);
+    this->shootAnim[i][1]->addKeyFrame(Vector(0.0, 0.0, 0.0) * this->getScaling(), Quaternion(), 0.01, ANIM_LINEAR, ANIM_NULL);
   }
 
@@ -124,6 +131,5 @@
   animation3->setInfinity(ANIM_INF_CONSTANT);
 
-
-  this->setEmissionPoint(1.3, 0, 0);
+  this->emissionPoint[0]->setRelCoor(Vector(3.9, 0.0, 0.0) * this->getScaling());
 
   animation2->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
Index: trunk/src/world_entities/weapons/medium_blaster.h
===================================================================
--- trunk/src/world_entities/weapons/medium_blaster.h	(revision 10697)
+++ trunk/src/world_entities/weapons/medium_blaster.h	(revision 10698)
@@ -33,4 +33,5 @@
     PNode*** objComp;
     Animation3D*** shootAnim;
+    PNode** emissionPoint;
 
     int activeBarrel;
Index: trunk/src/world_entities/weapons/nadion_laser.cc
===================================================================
--- trunk/src/world_entities/weapons/nadion_laser.cc	(revision 10698)
+++ trunk/src/world_entities/weapons/nadion_laser.cc	(revision 10698)
@@ -0,0 +1,189 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004-2006 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific
+   main-programmer: Marc Schaerrer, Nicolas Schlumberger
+   co-programmer:
+
+*/
+
+#include "nadion_laser.h"
+#include "world_entities/projectiles/projectile.h"
+
+#include "world_entity.h"
+#include "static_model.h"
+#include "weapon_manager.h"
+#include "util/loading/factory.h"
+
+#include "animation3d.h"
+
+#include "loading/fast_factory.h"
+
+#include "elements/glgui_energywidgetvertical.h"
+
+//
+ObjectListDefinition(NadionLaser);
+CREATE_FACTORY(NadionLaser);
+/**
+ * Standard constructor
+ */
+NadionLaser::NadionLaser ()
+ : Weapon()
+{
+    this->init();
+}
+
+NadionLaser::NadionLaser (const TiXmlElement* root = NULL)
+ : Weapon()
+{
+    this->init();
+    if (root != NULL)
+      this->loadParams(root);
+}
+
+/**
+ * Default destructor
+ */
+NadionLaser::~NadionLaser()
+{
+      // model will be deleted from WorldEntity-destructor
+  for (int i = 0; i < this->getBarrels(); i++)
+  {
+   delete [] this->shootAnim[i];
+  }
+  delete [] this->shootAnim;
+}
+
+void NadionLaser::loadParams(const TiXmlElement* root)
+{
+  Weapon::loadParams(root);
+}
+
+void NadionLaser::init()
+{
+  this->setScaling(.45);
+
+  this->loadModel("models/guns/nadion_laser.obj", this->getScaling());
+
+  this->setStateDuration(WS_SHOOTING, 0.1666);   // 6 Schuss pro Sekunde
+
+  this->setStateDuration(WS_RELOADING, 0);
+  this->setStateDuration(WS_ACTIVATING, .5);
+  this->setStateDuration(WS_DEACTIVATING, 1);
+
+  this->setEnergyMax(500);
+  this->increaseEnergy(500);
+  //this->minCharge = 2;
+
+  this->setActionSound(WA_SHOOT, "sounds/guns/laser.wav");
+//   this->setActionSound(WA_ACTIVATE, "sounds/voices/lasers.wav");
+  this->setActionSound(WA_RELOAD, "sounds/spawn/alien_generator.wav");
+
+  this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
+  this->setProjectileTypeC("NadionBlast");   // FIXME temp projectile, until nadion_laser_bolt exists.
+  this->prepareProjectiles(20);
+
+
+  this->setBarrels(1);
+  this->setSegs(1);
+  this->activeBarrel = 0;
+
+  this->objComp = new PNode**[this->getBarrels()];
+  this->emissionPoint = new PNode*[this->getBarrels()];
+  this->shootAnim = new Animation3D**[this->getBarrels()];
+  for (int i = 0; i < this->getBarrels(); i++)
+  {
+    this->objComp[i] = new PNode* [this->getSegs()];
+    this->emissionPoint[i] = new PNode;
+    this->emissionPoint[i]->setParent(this);  //Parenting emissionPoint to Weapon
+    this->emissionPoint[i]->setName("EmissionPoint");
+    this->emissionPoint[i]->addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
+    this->shootAnim[i] = new Animation3D* [this->getSegs()];
+    for(int j = 0; j < this->getSegs(); j++)
+    {
+      this->objComp[i][j] = new PNode;
+      this->shootAnim[i][j] = new Animation3D(this->objComp[i][j]);
+      this->shootAnim[i][j]->setInfinity(ANIM_INF_CONSTANT);
+    }
+  }
+
+  this->emissionPoint[0]->setRelCoor(Vector(1.680, 0.0, 0.0) * this->getScaling());
+
+  Animation3D* animation2 = this->getAnimation(WS_ACTIVATING, this);
+  Animation3D* animation3 = this->getAnimation(WS_DEACTIVATING, this);
+
+  animation2->setInfinity(ANIM_INF_CONSTANT);
+  animation3->setInfinity(ANIM_INF_CONSTANT);
+
+  animation2->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
+  animation2->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.5, ANIM_LINEAR, ANIM_NULL);
+
+  animation3->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.5, ANIM_LINEAR, ANIM_NULL);
+  animation3->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
+}
+
+
+void NadionLaser::fire()
+{
+  Projectile* pj =  this->getProjectile();
+  if (pj == NULL)
+    return;
+
+  // set the owner
+  pj->setOwner(this->getOwner());
+
+  pj->setParent(PNode::getNullParent());
+
+  pj->setVelocity(this->getParent()->getVelocity() + this->getAbsDir().apply(Vector(1,0,0))*160);
+
+  pj->setAbsCoor(this->getEmissionPoint());
+  pj->setAbsDir(this->getAbsDir());
+  pj->activate();
+
+}
+
+
+/**
+ *  this activates the weapon
+*/
+void NadionLaser::activate()
+{
+}
+
+/**
+ *  this deactivates the weapon
+*/
+void NadionLaser::deactivate()
+{
+}
+
+void NadionLaser::draw() const
+{
+  glMatrixMode(GL_MODELVIEW);
+  glPushMatrix();
+    glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+    Vector tmpRot = this->getAbsDir().getSpacialAxis();
+    glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
+    static_cast<StaticModel*>(this->getModel())->draw();
+
+
+  glPopMatrix();
+}
+
+void NadionLaser::tick(float dt)
+{
+  if (!Weapon::tickW(dt))
+    return;
+  if (this->energyWidget != NULL && !this->isEnergyWidgetInitialized)
+  {
+    this->energyWidget->setDisplayedImage("textures/gui/gui_medium_bold.png");
+    this->setEnergyWidgetInitialized(true);
+  }
+}
Index: trunk/src/world_entities/weapons/nadion_laser.h
===================================================================
--- trunk/src/world_entities/weapons/nadion_laser.h	(revision 10698)
+++ trunk/src/world_entities/weapons/nadion_laser.h	(revision 10698)
@@ -0,0 +1,37 @@
+#ifndef NADION_LASER_H
+#define NADION_LASER_H
+
+
+#include "weapon.h"
+
+
+class NadionLaser : public Weapon
+{
+  ObjectListDeclaration(NadionLaser);
+  public:
+    NadionLaser();
+    NadionLaser (const TiXmlElement* root);
+    virtual ~NadionLaser();
+
+    void init();
+    virtual void loadParams(const TiXmlElement* root);
+
+    virtual void activate();
+    virtual void deactivate();
+
+    virtual void fire();
+
+    virtual void tick(float dt);
+
+    virtual void draw() const;
+
+  private:
+    PNode*** objComp;
+    Animation3D*** shootAnim;
+    PNode** emissionPoint;
+
+    int activeBarrel;
+
+};
+
+#endif
Index: trunk/src/world_entities/weapons/rf_cannon.cc
===================================================================
--- trunk/src/world_entities/weapons/rf_cannon.cc	(revision 10698)
+++ trunk/src/world_entities/weapons/rf_cannon.cc	(revision 10698)
@@ -0,0 +1,184 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004-2006 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific
+   main-programmer:  Nicolas Schlumberger
+   co-programmer:
+
+*/
+
+#include "rf_cannon.h"
+#include "world_entities/projectiles/projectile.h"
+
+#include "world_entity.h"
+#include "static_model.h"
+#include "weapon_manager.h"
+#include "util/loading/factory.h"
+
+#include "animation3d.h"
+
+#include "loading/fast_factory.h"
+
+#include "elements/glgui_energywidgetvertical.h"
+
+
+ObjectListDefinition(RFCannon);
+CREATE_FACTORY(RFCannon);
+
+/**
+ * Standard constructor
+ */
+RFCannon::RFCannon ()
+ : Weapon()
+{
+    this->init();
+}
+
+RFCannon::RFCannon (const TiXmlElement* root = NULL)
+ : Weapon()
+{
+    this->init();
+    if (root != NULL)
+      this->loadParams(root);
+}
+
+/**
+ * Default destructor
+ */
+RFCannon::~RFCannon()
+{
+  for (int i = 0; i < this->getBarrels(); i++)
+    delete [] this->objComp[i];
+
+  delete [] this->emissionPoint;
+  delete [] this->objComp;
+}
+
+void RFCannon::loadParams(const TiXmlElement* root)
+{
+  Weapon::loadParams(root);
+}
+
+void RFCannon::init()
+{
+
+  this->setScaling(.2);
+
+  this->loadModel("models/guns/rf_cannon.obj", this->getScaling());
+
+
+  this->setStateDuration(WS_SHOOTING, 0.1);  // 10 Schuss pro Sekunde
+  this->setStateDuration(WS_RELOADING, 0);
+  this->setStateDuration(WS_ACTIVATING, .5);
+  this->setStateDuration(WS_DEACTIVATING, 1);
+
+  this->setEnergyMax(500);
+  this->increaseEnergy(500);
+
+  this->setActionSound(WA_SHOOT, "sounds/guns/laser.wav");
+  this->setActionSound(WA_RELOAD, "sounds/spawn/alien_generator.wav");
+
+  this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
+  this->setProjectileTypeC("PlasmaPulse");
+  this->prepareProjectiles(25);
+
+  this->setBarrels(4);
+  this->setSegs(1);
+  this->activeBarrel = 0;
+
+  this->objComp = new PNode**[this->getBarrels()];
+  this->emissionPoint = new PNode*[this->getBarrels()];
+  for (int i = 0; i < this->getBarrels(); i++) {
+    this->objComp[i] = new PNode* [this->getSegs()];
+    this->emissionPoint[i] = new PNode;
+    this->emissionPoint[i]->setParent(this);
+    this->emissionPoint[i]->setName("EmissionPoint");
+    this->emissionPoint[i]->addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
+    for(int j = 0; j < this->getSegs(); j++) {
+      this->objComp[i][j] = new PNode;
+    }
+  }
+
+  this->emissionPoint[0]->setRelCoor(Vector(4.1, 0.0, 0.75) * this->getScaling());
+  this->emissionPoint[1]->setRelCoor(Vector(4.1, 0.45, 0.0) * this->getScaling());
+  this->emissionPoint[2]->setRelCoor(Vector(4.1, 0.0, -0.75) * this->getScaling());
+  this->emissionPoint[3]->setRelCoor(Vector(4.1, -0.45, 0.0) * this->getScaling());
+
+  Animation3D* animation2 = this->getAnimation(WS_ACTIVATING, this);
+  Animation3D* animation3 = this->getAnimation(WS_DEACTIVATING, this);
+
+  animation2->setInfinity(ANIM_INF_CONSTANT);
+  animation3->setInfinity(ANIM_INF_CONSTANT);
+
+  animation2->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
+  animation2->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.5, ANIM_LINEAR, ANIM_NULL);
+
+  animation3->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.5, ANIM_LINEAR, ANIM_NULL);
+  animation3->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
+}
+
+void RFCannon::fire()
+{
+//   for (int i = 0; i < this->getBarrels(); i++){
+    Projectile* pj =  this->getProjectile();
+    if (pj == NULL)
+      return;
+
+    // set the owner
+    pj->setOwner(this->getOwner());
+
+    pj->setParent(PNode::getNullParent());
+
+    pj->setVelocity(this->getAbsDir().apply(Vector(1,0,0))*190);
+
+    pj->setAbsCoor(this->emissionPoint[this->activeBarrel]->getAbsCoor());
+    pj->setAbsDir(this->getAbsDir());
+    pj->activate();
+
+    this->activeBarrel = (this->activeBarrel + 1) % this->getBarrels();
+//   }
+}
+
+/**
+ *  this activates the weapon
+*/
+void RFCannon::activate()
+{
+}
+
+/**
+ *  this deactivates the weapon
+*/
+void RFCannon::deactivate()
+{
+}
+
+void RFCannon::draw() const
+{
+  glMatrixMode(GL_MODELVIEW);
+  glPushMatrix();
+    glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+    Vector tmpRot = this->getAbsDir().getSpacialAxis();
+    glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
+    static_cast<StaticModel*>(this->getModel())->draw();
+  glPopMatrix();
+
+}
+
+void RFCannon::tick(float dt)
+{
+  if (!Weapon::tickW(dt))
+    return;
+  if (this->energyWidget != NULL && !this->isEnergyWidgetInitialized)
+  {
+    this->energyWidget->setDisplayedImage("textures/gui/gui_light_bolt.png");
+    this->setEnergyWidgetInitialized(true);
+  }
+}
Index: trunk/src/world_entities/weapons/rf_cannon.h
===================================================================
--- trunk/src/world_entities/weapons/rf_cannon.h	(revision 10698)
+++ trunk/src/world_entities/weapons/rf_cannon.h	(revision 10698)
@@ -0,0 +1,39 @@
+#ifndef RF_CANNON_H
+#define RF_CANNON_H
+
+
+#include "weapon.h"
+
+/**
+ *  Light Blaster class
+ */
+class RFCannon : public Weapon
+{
+  ObjectListDeclaration(RFCannon);
+  public:
+    RFCannon ();
+    RFCannon (const TiXmlElement* root);
+    virtual ~RFCannon();
+
+    void init();
+    virtual void loadParams(const TiXmlElement* root);
+
+    virtual void activate();
+    virtual void deactivate();
+
+    virtual void fire();
+
+    virtual void tick(float dt);
+
+    virtual void draw() const;
+
+  private:
+    PNode*** objComp;
+    Animation3D*** shootAnim;
+
+    PNode** emissionPoint;
+
+    int activeBarrel;
+};
+
+#endif
Index: trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon.cc	(revision 10697)
+++ trunk/src/world_entities/weapons/weapon.cc	(revision 10698)
@@ -134,5 +134,5 @@
   for(int i = 0; i < this->barrels; i++){
     this->emissionPoint[i] = new PNode;
-    this->emissionPoint[i]->setParent(this);             //< One EmissionPoint, that is a PNode connected to the weapon. You can set this to the exitting point of the Projectiles
+    this->emissionPoint[i]->setParent(this);  //Parenting emissionPoint to Weapons
     this->emissionPoint[i]->setName("EmissionPoint");
     this->emissionPoint[i]->addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
@@ -158,44 +158,4 @@
   // set this object to be synchronized over network
   //this->setSynchronized(true);
-}
-
-/**
- * needed, if there are more than one barrel or segments
- */
-void Weapon::init2()
-{
-  if (this->barrels == 1 && this->segs == 1)
-    return;
-
-  delete this->emissionPoint[0];
-  delete this->emissionPoint;
-  delete this->shootAnim[0];
-  delete this->shootAnim;
-
-  this->shootAnim = new Animation3D**[this->barrels];
-  this->emissionPoint = new PNode*[this->barrels];
-  for(int i = 0; i < this->barrels; i++){
-    this->emissionPoint[i] = new PNode;
-    this->emissionPoint[i]->setParent(this);             //< One EmissionPoint, that is a PNode connected to the weapon. You can set this to the exitting point of the Projectiles
-    this->emissionPoint[i]->setName("EmissionPoint");
-    this->emissionPoint[i]->addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
-    this->shootAnim[i] = new Animation3D* [this->segs];
-  }
-}
-
-/**
- * deconstructor for init2
- */
-void Weapon::deconstr()
-{
-  for(int i = 0; i < this->barrels; i++) {
-    delete this->emissionPoint[i];
-    for (int j = 0; j < this->segs; j++)
-      delete this->shootAnim[i][j];
-    delete this->shootAnim[i];
-  }
-
-  delete this->emissionPoint;
-  delete this->shootAnim;
 }
 
Index: trunk/src/world_entities/weapons/weapon.h
===================================================================
--- trunk/src/world_entities/weapons/weapon.h	(revision 10697)
+++ trunk/src/world_entities/weapons/weapon.h	(revision 10698)
@@ -124,4 +124,6 @@
     Projectile* getProjectile();
 
+    inline void setScaling(float scaling) { this->scaling = scaling; };
+    inline float getScaling() { return this->scaling; };
 
     // EMISSION
@@ -181,8 +183,8 @@
     inline void setSegs(int segs) { this->segs = segs; };
 
-    inline Animation3D* getShootAnim(int barrel, int seg) { return this->shootAnim[barrel][seg]; };
-    inline void setShootAnim(int barrel, int seg, PNode* component) { this->shootAnim[barrel][seg] = this->getAnimation(barrel, seg, component); };
-
-    void init2();
+//     inline Animation3D* getShootAnim(int barrel, int seg) { return this->shootAnim[barrel][seg]; };
+//     inline void setShootAnim(int barrel, int seg, PNode* component) { this->shootAnim[barrel][seg] = this->getAnimation(barrel, seg, component); };
+
+//     void init2();
     void deconstr();
 
@@ -248,4 +250,6 @@
     PNode*               defaultTarget;                    //!< A target for targeting Weapons.
 
+    float                scaling;                          //!< Local scaling factor. any scaling will be done through this vector.
+
     ////////////
     // PHASES //
Index: trunk/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon_manager.cc	(revision 10697)
+++ trunk/src/world_entities/weapons/weapon_manager.cc	(revision 10698)
@@ -1,3 +1,2 @@
-
 /*
    orxonox - the future of 3D-vertical-scrollers
@@ -36,5 +35,5 @@
 /**
  * @brief this initializes the weaponManager for a given nnumber of weapon slots
- * @param number of weapon slots of the model/ship <= 8 (limitied)
+ * @param number of weapon slots of the model/ship <= 10 (limitied)
  */
 WeaponManager::WeaponManager(WorldEntity* parent)
@@ -146,6 +145,7 @@
   BaseObject::loadParams(root);
 
-  LoadParam(root, "slot-count", this, WeaponManager, setSlotCount)
+  LoadParam(root, "slotCount", this, WeaponManager, setSlotCount)
   .describe("how many slots(cannons) the WeaponManager can handle");
+
 
   LOAD_PARAM_START_CYCLE(root, element);
@@ -156,4 +156,6 @@
   }
   LOAD_PARAM_END_CYCLE(element);
+
+
 }
 
@@ -357,5 +359,5 @@
  * @param slotCapability the capability @see WeaponSlotCapability
  */
-void WeaponManager::setSlotCapability(int slot, long slotCapability)
+void WeaponManager::setSlotCapability(int slot, unsigned long slotCapability)
 {
   if (slot > slotCount)
Index: trunk/src/world_entities/weapons/weapon_manager.h
===================================================================
--- trunk/src/world_entities/weapons/weapon_manager.h	(revision 10697)
+++ trunk/src/world_entities/weapons/weapon_manager.h	(revision 10698)
@@ -60,8 +60,9 @@
     // setting up the WeaponManager with the following functions
     void setSlotPosition(int slot, const Vector& position, PNode* parent = NULL);
+//     inline void setSlotPosition(float slot, float x, float y,float z) {setSlotPosition((int)slot, Vector(x,y,z));};
     void setSlotDirection(int slot, const Quaternion& rotation);
     /** @param slot the slot to get the relative position from @returns the relative position of the Carrier to the Slot */
     const Vector& getSlotPosition(int slot) const;
-    void setSlotCapability(int slot, long slotCapability);
+    void setSlotCapability(int slot, unsigned long slotCapability);
     /** @param slot the slot to get the capabilities from @returns the capabilies */
     long getSlotCapability(int slot) const;
@@ -76,4 +77,12 @@
     bool addWeapon(Weapon* weapon, int configID = -1, int slotID = -1);
     void removeWeapon(Weapon* weapon, int configID = -1);
+
+    inline void createWeaponSlot(int slot, float x, float y, float z, long capability) {
+        this->setSlotPosition(slot, Vector( x, y, z));
+        this->setSlotCapability(slot, capability); };
+
+    inline void addWeaponToSlot(int config, int slot, const std::string& weaponName){
+      this->addWeapon( Weapon::createWeapon( weaponName ), config, slot); };
+
 
     Weapon* getWeapon(int slotID) const;
Index: trunk/src/world_entities/weapons/weapon_slot.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon_slot.cc	(revision 10697)
+++ trunk/src/world_entities/weapons/weapon_slot.cc	(revision 10698)
@@ -42,5 +42,6 @@
 
 WeaponSlot::~WeaponSlot()
-{}
+{
+}
 
 
@@ -55,5 +56,11 @@
 
   LoadParam(root, "slot", this, WeaponSlot, setWeaponConfig)
-      .describe("sets the weapon slot");
+  .describe("sets the weapon slot");
+
+  LoadParam(root, "currentWeapon", this, WeaponSlot, setCurrentWeapon)
+  .describe("creates and set next weapon");
+
+  LoadParam(root, "nextWeapon", this, WeaponSlot, setNextWeapon)
+  .describe("creates and set next weapon");
 }
 
@@ -63,5 +70,4 @@
 void WeaponSlot::setWeaponClass()
 {
-
 }
 
Index: trunk/src/world_entities/weapons/weapon_slot.h
===================================================================
--- trunk/src/world_entities/weapons/weapon_slot.h	(revision 10697)
+++ trunk/src/world_entities/weapons/weapon_slot.h	(revision 10698)
@@ -8,5 +8,5 @@
 
 #include "p_node.h"
-
+#include "weapon.h"
 
 class Weapon;
@@ -36,4 +36,7 @@
   inline void setNextWeapon(Weapon* weapon) { this->nextWeapon = weapon; }
 
+  inline void setNextWeapon(const std::string& weaponName){this->nextWeapon = Weapon::createWeapon(weaponName); };
+  inline void setCurrentWeapon(const std::string& weaponName){ this->currentWeapon = Weapon::createWeapon(weaponName); };
+
 
   inline void setWeaponConfig(int slot, int side) { this->weaponSlot = slot; this->weaponSide = side; }
